Page MenuHomePhabricator

Tune ATS SSL session cache
Closed, ResolvedPublic

Description

With the additions of new ATS metrics on https://gerrit.wikimedia.org/r/c/operations/puppet/+/533193 we can see that the current performance of the SSL session cache in ATS is around 10% hit ratio on cp5001.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2019, 5:54 AM
Vgutierrez triaged this task as Normal priority.Sep 3 2019, 5:54 AM
Vgutierrez moved this task from Triage to TLS on the Traffic board.

Change 533994 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] hiera: Increase ATS SSL session cache capacity to 4M sessions

https://gerrit.wikimedia.org/r/533994

Change 533994 merged by Vgutierrez:
[operations/puppet@production] hiera: Increase ATS SSL session cache capacity to 4M sessions

https://gerrit.wikimedia.org/r/533994

Change 534558 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ATS: Disable SSL Session tickets

https://gerrit.wikimedia.org/r/534558

Change 534558 merged by Vgutierrez:
[operations/puppet@production] ATS: Disable SSL Session tickets

https://gerrit.wikimedia.org/r/534558

Change 536399 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ATS: Set a explicit SSL Session cache timeout

https://gerrit.wikimedia.org/r/536399

Change 536399 merged by Vgutierrez:
[operations/puppet@production] ATS: Set a explicit SSL Session cache timeout

https://gerrit.wikimedia.org/r/536399

Mentioned in SAL (#wikimedia-operations) [2019-09-13T04:53:50Z] <vgutierrez> restarting ats-tls on cp4021 and cp2002 to pick up the new SSL session cache timeout - T231849

Change 537258 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/debs/trafficserver@master] Release 8.0.5-1wm8

https://gerrit.wikimedia.org/r/537258

Change 537258 merged by Vgutierrez:
[operations/debs/trafficserver@master] Release 8.0.5-1wm8

https://gerrit.wikimedia.org/r/537258

Mentioned in SAL (#wikimedia-operations) [2019-09-17T06:55:38Z] <vgutierrez> uploaded trafficserver 8.0.5-1wm8 to apt.wikimedia.org (stretch) - T231849

Mentioned in SAL (#wikimedia-operations) [2019-09-17T06:56:04Z] <vgutierrez> upgrading ATS to 8.0.5-1wm8 on cp2002, cp4021 and cp5001 - T231849

Mentioned in SAL (#wikimedia-operations) [2019-09-17T08:37:09Z] <vgutierrez> upgrading ATS to 8.0.5-1wm8 on cp3034 - T231849 T232724

Vgutierrez closed this task as Resolved.Sep 20 2019, 9:06 AM
Vgutierrez claimed this task.